Company logoTrust Center Documentation

Upload brand logo

Upload a new logo file for the tenant brand. Replaces any existing logo. Supports JPEG, PNG, SVG, GIF, and WebP formats with maximum size of 100KB.

PUT
/api/v1/brand/logo

Upload a new logo file for the tenant brand. Replaces any existing logo. Supports JPEG, PNG, SVG, GIF, and WebP formats with maximum size of 100KB.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/brand/logo" \  -F logoFile="string"
{  "success": true,  "data": {    "message": "string",    "url": "http://example.com"  }}

How is this guide?